#788 ✓resolved
ronin-11960 (at lighthouseapp)

Rake native gem is broken in do

Reported by ronin-11960 (at lighthouseapp) | January 27th, 2009 @ 02:41 PM | in 0.10.0

Task inserts 'compile:mri' into gem_spec.files, causing rubygems to complain that the file wasn't found. Fixed by using ext_name instead of task prerequisites.

Sent pull request to Luis.

Fix is here: http://github.com/eclubb/do/comm...

Comments and changes to this ticket

  • Luis Lavena

    Luis Lavena January 27th, 2009 @ 03:58 PM

    • Assigned user changed from “Luis Lavena” to “Dirkjan Bussink”

    I've just replied to your pull request.

    ext_helper has been deprecated and replaced with rake-compiler, but yet still util the migration is completed your patch is needed.

    Thank you for taking the time and doing it.

    However, since the repositories are moving from sam/do to datamapper/do, I no longer have commits rights over there.

    I'm assigning this to Dirkjan and see if this can be merged.

    Regards, Luis

  • Dirkjan Bussink

    Dirkjan Bussink June 9th, 2009 @ 06:12 AM

    • State changed from “unconfirmed” to “resolved”
    • Milestone set to 0.10.0

    Building has been completely reworked, so this is outdated

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

People watching this ticket

Pages